
singleton Material(midsize_red)
{
    mapTo = "midsize_red";
    diffuseMap[1] = "vehicles/midsize/midsize_s.dds";
    specularMap[1] = "vehicles/midsize/midsize_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/midsize/midsize_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 0 0 0.6";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize)
{
    mapTo = "midsize";
    diffuseMap[2] = "vehicles/midsize/midsize_c.dds";
    specularMap[2] = "vehicles/midsize/midsize_s.dds";
    normalMap[2] = "vehicles/midsize/midsize_n.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_d.dds";
    specularMap[1] = "vehicles/midsize/midsize_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/midsize/midsize_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_interior)
{
    mapTo = "midsize_interior";
    diffuseMap[1] = "vehicles/midsize/midsize_interior_d.dds";
    specularMap[1] = "vehicles/midsize/midsize_interior_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_interior_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/midsize/null.dds";
    normalMap[0] = "vehicles/midsize/midsize_interior_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_seats)
{
    mapTo = "midsize_seats";
    diffuseMap[1] = "vehicles/midsize/midsize_seats_d.dds";
    specularMap[1] = "vehicles/midsize/midsize_seats_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_seats_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/midsize/midsize_seats_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_seats_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_gauges_on)
{
    mapTo = "midsize_gauges_on";
	diffuseMap[2] = "vehicles/midsize/midsize_gauges_g.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_gauges_d.dds";
    specularMap[1] = "vehicles/midsize/midsize_gauges_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_gauges_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/midsize/midsize_gauges_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_gauges_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
	emissive[1] = "0";
	emissive[2] = "1";
	glow[1] = "0";
	glow[2] = "1";
    cubemap = "global_cubemap_metalblurred";
    instanceDiffuse[2] = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_gauges_off)
{
    mapTo = "midsize_gauges_off";
    diffuseMap[1] = "vehicles/midsize/midsize_gauges_d.dds";
    specularMap[1] = "vehicles/midsize/midsize_gauges_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_gauges_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/midsize/midsize_gauges_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_gauges_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    instanceDiffuse[2] = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_gauges)
{
    mapTo = "midsize_gauges";
    diffuseMap[1] = "vehicles/midsize/midsize_gauges_d.dds";
    specularMap[1] = "vehicles/midsize/midsize_gauges_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_gauges_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/midsize/midsize_gauges_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_gauges_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    instanceDiffuse[2] = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ibishu_v6)
{
    mapTo = "ibishu_v6";
    diffuseMap[1] = "vehicles/midsize/ibishu_v6_d.dds";
    specularMap[1] = "vehicles/midsize/ibishu_v6_s.dds";
    normalMap[1] = "vehicles/midsize/ibishu_v6_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/midsize/ibishu_v6_s.dds";
    normalMap[0] = "vehicles/midsize/ibishu_v6_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(coupe_engine)
{
    mapTo = "coupe_engine";
    diffuseMap[0] = "vehicles/coupe/coupe_engine_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_engine_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_engine_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_chrome)
{
    mapTo = "midsize_chrome";
    diffuseMap[1] = "vehicles/midsize/midsize_s.dds";
    specularMap[1] = "vehicles/midsize/midsize_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/midsize/midsize_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.5 0.5 0.5 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_dark)
{
    mapTo = "midsize_dark";
    diffuseColor[0] = "0.14 0.14 0.14 1";
    specular[0] = "0.9 0.9 0.9 1";
    specularPower[0] = "40";
    translucentBlendOp = "None";
};

singleton Material(midsize_beige)
{
    mapTo = "midsize_beige";
    diffuseColor[0] = "0.28 0.27 0.26 1";
    specular[0] = "0.9 0.9 0.9 1";
    specularPower[0] = "40";
    translucentBlendOp = "None";
};

singleton Material(midsize_glass)
{
    mapTo = "midsize_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_glass_da.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_glass_int)
{
    mapTo = "midsize_glass_int";
	diffuseMap[1] = "vehicles/midsize/midsize_glass_da.dds";
    diffuseMap[0] = "vehicles/common/null2.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    diffuseColor[0] = "0.0 0.0 0.0 0.5";
    specularColor[0] = "0.5 0.5 0.5 0.5";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_glass_dmg)
{
    mapTo = "midsize_glass_dmg";
    diffuseMap[0] = "vehicles/midsize/midsize_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_glass_dmg_da.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";

};

singleton Material(midsize_windshield_dmg)
{
    mapTo = "midsize_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_glass_da.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_lights)
{
    mapTo = "midsize_lights";
    diffuseMap[1] = "vehicles/midsize/midsize_lights_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/midsize/midsize_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/midsize/midsize_lights_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_lights_on)
{
    mapTo = "midsize_lights_on";
	diffuseMap[2] = "vehicles/midsize/midsize_lights_g.dds";
	diffuseMap[1] = "vehicles/midsize/midsize_lights_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/midsize/midsize_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/midsize/midsize_lights_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
	emissive[1] = "1";
	emissive[2] = "1";
	glow[1] = "0";
	glow[2] = "1";
    translucentBlendOp = "None";
	
    alphaTest = "1";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_lights_on_intense)
{
    mapTo = "midsize_lights_on_intense";
	diffuseMap[2] = "vehicles/midsize/midsize_lights_g.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_lights_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/midsize/midsize_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/midsize/midsize_lights_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
	emissive[2] = "1";
	emissive[1] = "1";
	glow[1] = "1";
	glow[2] = "1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};




singleton Material(midsize_lights_dmg)
{
    mapTo = "midsize_lights_dmg";
    diffuseMap[1] = "vehicles/midsize/midsize_lights_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/midsize/midsize_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/midsize/midsize_lights_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_lightcovers)
{
    mapTo = "midsize_lightcovers";
    reflectivityMap[0] = "vehicles/midsize/midsize_lightcovers_r.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_lightcovers_d.dds";
    specularMap[0] = "vehicles/common/null_s.dds";
    diffuseMap[1] = "vehicles/common/invisible.dds";
    specularMap[1] = "vehicles/midsize/null.dds";
	normalMap[0] = "vehicles/midsize/midsize_lightcovers_n.dds";
	normalMap[1] = "vehicles/midsize/midsize_lightcovers_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
	doubleSided = "0";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_lightcovers_on)
{
    mapTo = "midsize_lightcovers_on";
    reflectivityMap[0] = "vehicles/midsize/midsize_lightcovers_r.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_lightcovers_d.dds";
    specularMap[0] = "vehicles/common/null_s.dds";
    diffuseMap[1] = "vehicles/common/invisible.dds";
    specularMap[1] = "vehicles/midsize/null.dds";
	normalMap[0] = "vehicles/midsize/midsize_lightcovers_n.dds";
	normalMap[1] = "vehicles/midsize/midsize_lightcovers_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
	emissive[0] = "0";
	emissive[1] = "0";
	glow[0] = "0";
	glow[1] = "0";
	doubleSided = "1";
    alphaTest = "1";
    alphaRef = "0";
	translucentBlendOp = "lerpAlpha";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_lightcovers_on_intense)
{
    mapTo = "midsize_lightcovers_on_intense";
    reflectivityMap[0] = "vehicles/midsize/midsize_lightcovers_r.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_lightcovers_d.dds";
    specularMap[0] = "vehicles/common/null_s.dds";
    diffuseMap[1] = "vehicles/common/invisible.dds";
    specularMap[1] = "vehicles/midsize/null.dds";
	normalMap[0] = "vehicles/midsize/midsize_lightcovers_n.dds";
	normalMap[1] = "vehicles/midsize/midsize_lightcovers_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
	emissive[0] = "0";
	emissive[1] = "0";
	glow[0] = "0";
	glow[1] = "0";
	doubleSided = "1";
    alphaTest = "1";
    alphaRef = "0";
	translucentBlendOp = "addAlpha";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



singleton Material(midsize_lightcovers_dmg)
{
    mapTo = "midsize_lightcovers_dmg";
    reflectivityMap[0] = "vehicles/midsize/midsize_lightcovers_dmg_r.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_lightcovers_dmg_d.dds";
    specularMap[0] = "vehicles/common/null_s.dds";
    diffuseMap[1] = "vehicles/common/invisible.dds";
    specularMap[1] = "vehicles/midsize/null.dds";
	normalMap[0] = "vehicles/midsize/midsize_lightcovers_dmg_n.dds";
	normalMap[1] = "vehicles/midsize/midsize_lightcovers_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
	doubleSided = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_lettering)
{
    mapTo = "midsize_lettering";
    diffuseMap[0] = "vehicles/midsize/midsize_lettering_o.dds";
    specularMap[0] = "vehicles/midsize/midsize_lettering_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_lettering_n.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_lettering_d.dds";
    specularMap[1] = "vehicles/midsize/midsize_lettering_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_lettering_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.3 1.3 1.3 0.6";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};
singleton Material(Material001)
{
    mapTo = "Material001";
    diffuseColor[0] = "1 1 1 1";
};
singleton Material(semi_cab)
{
    mapTo = "semi_cab";
    diffuseMap[2] = "vehicles/midsize/semi_cab_c.dds";
    specularMap[2] = "vehicles/midsize/semi_cab_s.dds";
    normalMap[2] = "vehicles/midsize/semi_cab_n.dds";
    diffuseMap[1] = "vehicles/midsize/semi_cab_d.dds";
    specularMap[1] = "vehicles/midsize/semi_cab_s.dds";
    normalMap[1] = "vehicles/midsize/semi_cab_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/midsize/semi_cab_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};